﻿@using Jumbula.Web.WebLogic.UserService


@{
    ViewBag.Title = "Dashboard";
    ViewBag.IsRegistrantReport = true;

    var confiramtionId = Request.QueryString["confiramtionId"] != null ? Request.QueryString["confiramtionId"].ToString() : string.Empty;
    var orderitemId = Request.QueryString["orderItemId"] != null ? Request.QueryString["orderItemId"].ToString() : string.Empty;
}


@section Styles{
    <link href="~/Content/Student/Dashboard/Dashboard.css" rel="stylesheet" />
}
<div class="container">
    <div class="title-page">
        <h1>
            Invoices
        </h1>

        <div class="clearfix"></div>
    </div>
    <div class="content-result">
        <div class="parent-grid-custom" id="InvoicesGrid">
        </div>
        <script type="text/x-kendo-template" id="template">

        </script>
        <div id="EmptyGrid" class="success" style="display:none">No data found</div>

    </div>

</div>

<script src="~/Scripts/Libraries/KendoUI/kendo.all.min.js"></script>

<script>
    function kendoEmptyGridFix() {

        $("[data-role='grid']").each(function () {

            $(this).data("kendoGrid").bind('dataBound', function (e) {
                var colCount = this.table.find("tHead tr th").length;
                if ($(this)[0].dataSource._view.length == 0) {
                    var msg = ($(this)[0].dataSource.options.emptyMsg == undefined ? "" : $(this)[0].dataSource.options.emptyMsg);
                    this.table.find('tbody').html('<tr class="kendo-data-row"><td colspan="' + colCount + '" style="text-align:center; padding-top:20px; padding-bottom:20px;"><div class="k-empty-grid-row">' + msg + '</div></td></tr>');

                    $("[data-role='grid']").find('.k-grid-header-wrap').hide();
                    $("#InvoicesGrid").hide();
                    $("#EmptyGrid").show();

                };
            });
        });
    }

    $("#InvoicesGrid").kendoGrid({
        dataSource: {
            type: "json",
            transport: {
                read: {
                    url: "GetInvoices",
                    dataType: "json"
                },
                parameterMap: function (data, type) {
                    if (type === "read") {
                        return {
                            term: '',
                            skip: data.skip,
                            take: data.take,
                            page: data.page,
                            pageSize: data.pageSize,
                            sort: null
                        }
                    }
                }
            },
            requestStart: function () {

            },
            requestEnd: function () {

            },
            schema: {
                total: "TotalCount",
                data: "DataSource"
            },
            resizable: true,
            sort: {
                field: "DateTime",
                dir: "desc"
            }
        },

        groupable: false,
        sortable: true,
        columnMenu: true,

        scrollable: {
            virtual: true
        },

        columns: [{
            field: "InvoicingDate",
            title: "Date",
            width: "200px",

        },
        {
            field: "InvoiceNumber",
            title: "Invoice #",
            width: "100px",

        },
        {
            field: "Status",
            title: "Status",
            width: "100px",
            template: '<div style="color:black;"> #=Status # </div><div> #if(PaidAmount!=Amount){# <div style="color:gray;">Due #=DueDate# </div> #}# </div>'
        },
        {
            field: "Amount",
            title: "Amount",
            format: "{0:c2}",
            width: "70px",
            attributes: { style: "text-align:right;padding-right:70px;" },

        },
       {
           title: "Actions",
           width: "35px",
           headerTemplate: "<span class='actions-title'>Actions</span>",
           template: "#if(Status!='Canceled' && Status!='Paid'){#  <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu grid-dropdown' id='Action'>\  <li>\
                                      <a  href='InvoiceDetail?invoiceId=#=Id#'><span class='k-link'>View</span></a>\
                                    </li>\
                                    <li  data-toggle='confirmation' >\
                                           <a  href='/Registrant/AddInvoiceToCart?invoiceId=#=Id#'> <span class='k-link'>Pay</span></a>\
                                    </li>\
                                     </ul>  #}else{#<button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                                    <ul class='dropdown-menu grid-dropdown' id='Action'>\  <li>\
                                      <a  href='InvoiceDetail?invoiceId=#=Id#'><span class='k-link'>View</span></a>\
                                    </li>\
                                    <li  data-toggle='confirmation' >\
                                      <a > <span class='k-link' style='cursor: default;color: rgba(0, 0, 0, 0.5);'>Pay</span></a>\
                                    </li>\
                                     </ul>#}#"
       }
        ],

    });


    $(document).ready(function () {

        kendoEmptyGridFix();

    });

</script>